#!/bin/bash

cd /mnt/public02/usr/yuanpeiwen/instruction_pool_cleaned/pool_evolve

N_CLUSTERS=6000
BATCH_SIZE=27000
DAMPING=0.5
# # AFFINITY=cosine_similarity
# AFFINITY=euclidean
# MODE=multiply
# MODE=addition
MOMENTUM_FILL=median
# MOMENTUM_FILL=zero


ALPHA_PARAMS=(
    0.5
    0.8
    # 1.0
    # 0.0
    # 0.2
)

AFFINITY=euclidean
MODE=multiply
GAMMA_PARAM=1.0
LAMB=0.95
for ALPHA in "${ALPHA_PARAMS[@]}"
do
python main.py \
    --n_clusters $N_CLUSTERS\
    --batch_size $BATCH_SIZE\
    --affinity $AFFINITY\
    --damping $DAMPING\
    --alpha $ALPHA\
    --lamb $LAMB\
    --gamma $GAMMA_PARAM\
    --mode $MODE\
    --momentum_fill $MOMENTUM_FILL
done

AFFINITY=euclidean
MODE=multiply
GAMMA_PARAM=2.0
LAMB=0.99
for ALPHA in "${ALPHA_PARAMS[@]}"
do
python main.py \
    --n_clusters $N_CLUSTERS\
    --batch_size $BATCH_SIZE\
    --affinity $AFFINITY\
    --damping $DAMPING\
    --alpha $ALPHA\
    --lamb $LAMB\
    --gamma $GAMMA_PARAM\
    --mode $MODE\
    --momentum_fill $MOMENTUM_FILL
done

AFFINITY=euclidean
MODE=multiply
GAMMA_PARAM=2.0
LAMB=0.95
for ALPHA in "${ALPHA_PARAMS[@]}"
do
python main.py \
    --n_clusters $N_CLUSTERS\
    --batch_size $BATCH_SIZE\
    --affinity $AFFINITY\
    --damping $DAMPING\
    --alpha $ALPHA\
    --lamb $LAMB\
    --gamma $GAMMA_PARAM\
    --mode $MODE\
    --momentum_fill $MOMENTUM_FILL
done

# AFFINITY=euclidean
# MODE=multiply
# GAMMA_PARAM=1.0
# LAMB=0.9
# for ALPHA in "${ALPHA_PARAMS[@]}"
# do
# python main.py \
#     --n_clusters $N_CLUSTERS\
#     --batch_size $BATCH_SIZE\
#     --affinity $AFFINITY\
#     --damping $DAMPING\
#     --alpha $ALPHA\
#     --lamb $LAMB\
#     --gamma $GAMMA_PARAM\
#     --mode $MODE\
#     --momentum_fill $MOMENTUM_FILL
# done

